export declare const DEFAULT_COL = "path";
export declare type Path = string[];
export interface IContentRow {
    path: Path;
    kind: string;
    getChildren?: () => IContentRow[];
}
export declare class Content<T extends IContentRow> {
    constructor(row: T);
    close(): void;
    fetchChildren(refresh?: boolean): void;
    getPathAtDepth(depth?: number, fill?: string): any[];
    open(refresh?: boolean): void;
    get children(): Content<T>[] | undefined;
    get isOpen(): boolean;
    get name(): string;
    readonly isDir: boolean;
    readonly row: T;
    protected _children?: Content<T>[];
    protected _isOpen: boolean;
}
