import * as rt from "regular-table";
import { IContentRow } from "./content";
import { ContentsModel } from "./model";
import "../style/grid/index.less";
declare const RegularTableElement: typeof rt.RegularTableElement;
export declare class TreeFinderGridElement<T extends IContentRow> extends RegularTableElement {
    init(model: ContentsModel<T>, options?: Partial<TreeFinderGridElement.IOptions<T>>): Promise<void>;
    onData(start_col: number, start_row: number, end_col: number, end_row: number): Promise<{
        num_columns: number;
        num_rows: number;
        column_headers: (keyof T)[][];
        row_headers: HTMLSpanElement[][];
        data: (string | T[keyof T])[][];
    }>;
    onColumnHeaderStyle(): void;
    onRowStyle(): void;
    onSortClick(event: MouseEvent): MouseEvent | undefined;
    onTreeClick(event: MouseEvent): MouseEvent | undefined;
    onRowDoubleClick(event: MouseEvent): MouseEvent | undefined;
    protected options: TreeFinderGridElement.IOptions<T>;
    protected model: ContentsModel<T>;
    private _drawTimeout;
    private _initializedListeners;
    private _selectIx;
}
export declare namespace TreeFinderGridElement {
    interface IOptions<T extends IContentRow> {
        /**
         * if true, redraw the tree-finder element on window resize events
         */
        doWindowReize: boolean;
    }
    function get(): typeof TreeFinderGridElement;
}
export {};
