import { Content, IContentRow } from "./content";
declare const SORT_ORDERS: readonly ["asc", "desc", null];
export declare type SortOrder = typeof SORT_ORDERS[number];
interface ISortState<T extends IContentRow> {
    order: SortOrder;
    col: keyof T;
}
interface ISortStateFull<T extends IContentRow> extends ISortState<T> {
    sign: -1 | 1;
    ix: number;
}
export declare class SortStates<T extends IContentRow> {
    readonly defaultColumn = "path";
    constructor(states?: ISortState<T>[]);
    readonly byColumn: {
        [k in keyof T]: ISortStateFull<T>;
    };
    readonly states: ISortStateFull<T>[];
}
export declare function sortContentRoot<T extends IContentRow>({ root, sortStates, col, multisort }: {
    root: Content<T>;
    sortStates: SortStates<T>;
    col?: keyof T;
    multisort?: boolean;
}): [Content<T>[], SortStates<T>];
export {};
